#!/bin/bash

if [[ "$#" -eq 0 ]]; then
  echo "Usage: $0 IMAGE [INCLUDE] [EXCLUDE]
  IMAGE    The image to search
             Examples: httpd, lousilam/uptime-kuma
  INCLUDE  Include results containing INCLUDE
           Pass '' to only use EXCLUDE filtering
  EXCLUDE  Exclude results containing EXCLUDE
"
  exit 1
fi

image=$1
filter=$2
notfilter=${3:- }
jqfilter=".RepoTags[] \
| select(contains(\"$filter\")) \
| select(contains(\"$notfilter\") | not)"

skopeo inspect "docker://$image" \
| jq -r "$jqfilter"